package il.ac.tau.cs.sw1.wildworld;

/**
 * A single tile in the world. A tile may be occupied by a single animal at a
 * time, and may contain vegetation
 */
public interface Tile {

	/**
	 * Get the animal occupying this tile (if exists)
	 * 
	 * @return The animal at this tile, or null if none exists.
	 */
	public Animal getAnimal();

	/**
	 * Check if there is vegetation in this tile.
	 */
	public boolean hasVegetation();

}
