package il.ac.tau.cs.sw1.wildworld.util;

public class Location {

	/**
	 * Constructs and initializes a location at the specified (x, y) position in
	 * the coordinate space.
	 * 
	 * @param x
	 *            - The x coordinate.
	 * @param y
	 *            - The y coordinate.
	 */
	public Location(int x, int y) {
		super();
		this.x = x;
		this.y = y;
	}

	/**
	 * Returns the X coordinate
	 */
	public int getX() {
		return x;
	}

	/**
	 * Returns the X coordinate
	 */
	public int getY() {
		return y;
	}

	@Override
	public String toString() {
		return "[" + x + ", " + y + "]";
	}

	/*
	 * (non-Javadoc)
	 * @see java.lang.Object#hashCode()
	 */
	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + x;
		result = prime * result + y;
		return result;
	}

	/*
	 * (non-Javadoc)
	 * @see java.lang.Object#equals(java.lang.Object)
	 */
	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		Location other = (Location) obj;
		return x == other.x  &&  y == other.y;
	}

	private int x, y;
}
